This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1250703 - "Yum Extender is already running" popup fails to kill Yum Extender
"Yum Extender is already running" popup fails to kill Yum Extender
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex-dnf (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 15:11 EDT by Jehan
Modified: 2015-11-18 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-18 11:45:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Popup proposing me to kill Yum Extender (14.66 KB, image/png)
2015-08-05 15:11 EDT, Jehan
no flags Details

  None (edit)
Description Jehan 2015-08-05 15:11:43 EDT
Created attachment 1059623 [details]
Popup proposing me to kill Yum Extender

Description of problem:

When I install a "standlone" RPM with Yumex package installer while the Yum Extender is already running, a popup appears telling me "Yum Extender is already running" and "Do you want to kill it". Cf. screenshot. If I answer "Yes", it fails to kill Yum Extender, my package installation never start, and I can't run it again without killing it manually myself.

Version-Release number of selected component: yumex-dnf 4.1.2-1.fc22


How reproducible: always.


Steps to Reproduce:
1. Run Yum Extender.
2. Try to install a RPM, for instance by double-clicking it in the file browser.
3. The popup appears. Answer yes.

Actual results:
- Yum Extender apparently closes (the GUI disappears) but the RPM installation does not start.
- If you try to double-click the RPM again, you have that same popup again. You may click "yes", it never starts the installation.
- If you try to open Yum Extender again, it just won't start. Nothing happens.
When you check the processes, you actually notice that it never stopped completely (part of the processes stopped, but one survived):

> $ ps -ef |grep dnf
> jehan    24016     1  0 21:03 tty2     00:00:00 /usr/bin/python3 -tt /usr/share/yumex-dnf/dbus_status.py
> jehan    24153 10263  0 21:06 pts/0    00:00:00 grep --color=auto dnf

This explains why the RPM installation never start, and you can't get back the Yum Extender GUI either.

Expected results: I expect that all yumex processes disappear after I answer "yes" to the popup and my standalone RPM installation to start.
Comment 1 Tim Lauridsen 2015-10-06 09:22:38 EDT
This is patyly fixed in 4.1.4

https://bodhi.fedoraproject.org/updates/FEDORA-2015-816c17411d

The close part is now working, but the RPM don't install, but the second time it should work now

Note You need to log in before you can comment on or make changes to this bug.